import { Transition as e } from "./index.js";
//#region ../../node_modules/d3-transition/src/transition/merge.js
function t(t) {
	if (t._id !== this._id) throw Error();
	for (var n = this._groups, r = t._groups, i = n.length, a = r.length, o = Math.min(i, a), s = Array(i), c = 0; c < o; ++c) for (var l = n[c], u = r[c], d = l.length, f = s[c] = Array(d), p, m = 0; m < d; ++m) (p = l[m] || u[m]) && (f[m] = p);
	for (; c < i; ++c) s[c] = n[c];
	return new e(s, this._parents, this._name, this._id);
}
//#endregion
export { t as default };
